Subject: Re: [bug#42338] [PATCH] Add composer build system (PHP)

From: Julien Lepiller <[email-masked]>
Date: Wed, 20 Dec 2023 12:31:58 +0100

Hi,

I would put them in php-xyz.scm. php.scm would be for the compiler and language tools. If we start having a lot of php packages, we could start creating more modules.

I don't think packagist.scm would work, similar to how we have python.scm, not pypi.scm :)

Le 20 décembre 2023 11:41:55 GMT+01:00, Wilko Meyer <[email-masked]> a écrit :
>Hi,
>
>Just wanted to say thanks for all this work, was really surprised to see
>a composer-build-system in Guix and a handy packagist importer!
>
>As far as I'm aware, there's not a structure in gnu/packages yet for
>composer packages. Hope this is the right place to ask, I'm considering
>packaging my more used dependencies for Guix, do they go into
>php.scm/php-xyz.scm? a yet-to-be-created packagist.scm? Should there be
>a more thematic grouping (e.g. how python*.scm is currently structured)?
>
>Thanks for this great work!
>